<template>
  <b-row class="h-100">
    <b-colxx xxs="12" md=10  class="mx-auto my-auto">
      <b-card class="auth-card" no-body id="card">
          <div class="form-side" id="center">
            <!-- <router-link tag="a" to="/"><span class="logo-single"/></router-link> -->
            <h6 class="mb-4">{{ $t('user.login-title')}}</h6>
            <b-form @submit.prevent="formSubmit" id="form">
              <label class="form-group has-float-label mb-4">
                <input type="text" class="form-control" v-model="user.username">
                <span>{{ $t('user.username') }}</span>
              </label>
              <label class="form-group has-float-label mb-4">
                <input type="password" class="form-control" v-model="user.password">
                <span>{{ $t('user.password') }}</span>
              </label>
              <div class="d-flex justify-content-between align-items-center">
                  <!-- <router-link tag="a" to="/user/register">{{ $t('user.forgot-password-question')}}</router-link> -->
                  <!-- <b-button type="button"  @click="loginFacebook()" size="sm" >facebook</b-button> -->
                  <b-button variant="warning" @click="create()"> Create account</b-button>
                  <b-button variant="primary" @click="redirect()"><img :src="image" style="max-width: 20px"/> Connect with Facebook</b-button>
                  <!-- <font-awesome-icon icon="fa-facebook" size="xs" /> -->
                  <!-- <a  href="http://localhost:3000/auth/facebook" variant="primary" class="btn-shadow"> facebook </a> -->
                  <b-button type="submit" variant="success" size="lg" class="btn-shadow" :disabled="processing">{{ $t('user.login-button')}}</b-button>
              </div>
              <a href="http://localhost:8080/app/cryptos/all" style="margin-top: 30px; margin-bottom: -50px"> Enter anonymously </a>
          </b-form>
        </div>
      </b-card>
    </b-colxx>
  </b-row>
</template>
<script>
import Vue from "vue";
import { mapGetters, mapActions } from 'vuex'
import image from "../../assets/img/facebook.png"
import { library } from "@fortawesome/fontawesome-svg-core";
import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
Vue.component("font-awesome-icon", FontAwesomeIcon);
import { faFontAwesome, faFacebook } from '@fortawesome/free-brands-svg-icons'
library.add(faFontAwesome)
library.add(faFacebook)


export default {
  data () {
    return {
      image: image,
      user: {
        username: '',
        password: ''
      }
    }
  },
  computed: {
    ...mapGetters(['currentUser', 'processing', 'loginError'])
  },
  methods: {
    ...mapActions(['login', 'facebook']),
    formSubmit () {
      this.login({ username: this.user.username, password: this.user.password })
    },
    loginFacebook () {
      this.facebook()
    },
    open () {
      window.open("http://localhost:3000/auth/facebook", "connection")
    },
    redirect () {
      window.location.href = 'http://localhost:3000/auth/facebook'
    },
    create () {
      this.$router.push('/user/register')
    }
  },
  watch: {
    currentUser (val) {
      if (val && val.uid && val.uid > 0) {
        this.$router.push('/')
      }
    },
    loginError (val) {
      if (val != null) {
        this.$notify('error', 'Erreur de connexion, Identifiants incorrects', val, { duration: 3000, permanent: false })
      }
    }
  }
}
</script>

<style scoped>

/* #center form{
  align-content: center;
} */

.form-side {
  width: 80%;
}

h6 {
  text-align: center;
}

#card {
  display: flex;
  justify-content: center;
  width: 100%;
}

form {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
}

input, label {
  width: 100%;
}

.btn-shadow {
margin-left: 20px;
}

button {
  margin-left: 20px;
}

</style>
